export const config = {
    "19": {
        "contracts": {
            "router": "0xfA563b8B7447bd82548932B2996b86D2364eafcE",
            "proxy-router": "0x72B8509dAff28397a91c9b0faDb47EA2065272D4",
            "nftRouter": "0x8A9b214D147aC5b3d91E93405df703EEC4211341",
            "teleport": "0xd3861fe92633568a380ab4788b65240b02d9c30E"
        },
        "validators": {
            "london": "https://validator1.alliancebridge-dev.net:5200",
            "north virginia": "https://validator2.alliancebridge-dev.net:5200",
            "singapore": "https://validator3.alliancebridge-dev.net:5200"
        },
        "nftValidators": {
            "validator1": "https://validatornft1.alliancebridge-dev.net:443",
            "validator2": "https://validatornft2.alliancebridge-dev.net:443",
            "validator3": "https://validatornft3.alliancebridge-dev.net:443"
        },
        "threshold": "1000000000000000"
    },
    "1313161555": {
        "contracts": {
            "router": "0xe68b70e2Cc104E73596CE5ac28d3cD84703ab0b1",
            "proxy-router": "0xb100c8df168AC7dFbdb3aeDBa8cFA5356C5b3F54",
            "nftRouter": "0x8A9b214D147aC5b3d91E93405df703EEC4211341",
            "teleport": "0x7f770C48C82aaEfc4808b7018c88Ef300A3fe9FB",
            "multicall": "0xBD4B908Bca41De0200FBe5F98C062c72Aa6c8C6c"
        },
        "validators": {
            "london": "https://validator1.alliancebridge-dev.net:5200",
            "north virginia": "https://validator2.alliancebridge-dev.net:5200",
            "singapore": "https://validator3.alliancebridge-dev.net:5200"
        },
        "nftValidators": {
            "validator1": "https://validatornft1.alliancebridge-dev.net:443",
            "validator2": "https://validatornft2.alliancebridge-dev.net:443",
            "validator3": "https://validatornft3.alliancebridge-dev.net:443"
        },
        "threshold": "1000000000000000"
    },
    "4": {
        "contracts": {
            "router": "0x6911F73a4DfDe160440689b1e4aC7fa266008457",
            "proxy-router": "0xC97c0D32Def7146cDb689B0095D34F8c60970e81",
            "nftRouter": "0x8A9b214D147aC5b3d91E93405df703EEC4211341",
            "teleport": "0x7f770C48C82aaEfc4808b7018c88Ef300A3fe9FB",
            "multicall": "0xBD4B908Bca41De0200FBe5F98C062c72Aa6c8C6c"
        },
        "validators": {
            "london": "https://validator1.alliancebridge-dev.net:5200",
            "north virginia": "https://validator2.alliancebridge-dev.net:5200",
            "singapore": "https://validator3.alliancebridge-dev.net:5200"
        },
        "nftValidators": {
            "validator1": "https://validatornft1.alliancebridge-dev.net:443",
            "validator2": "https://validatornft2.alliancebridge-dev.net:443",
            "validator3": "https://validatornft3.alliancebridge-dev.net:443"
        },
        "threshold": "1000000000000000"
    },
    "97": {
        "contracts": {
            "router": "0xFdccb7de1d2065217457840C4D7e17D57bFC8612",
            "proxy-router": "0x1D7A51Ff6DA672EA0ed02cB344720e9AEDB7D3C1",
            "nftRouter": "0x8A9b214D147aC5b3d91E93405df703EEC4211341",
            "teleport": "0x7f770C48C82aaEfc4808b7018c88Ef300A3fe9FB",
            "multicall": "0xBD4B908Bca41De0200FBe5F98C062c72Aa6c8C6c"
        },
        "validators": {
            "london": "https://validator1.alliancebridge-dev.net:5200",
            "north virginia": "https://validator2.alliancebridge-dev.net:5200",
            "singapore": "https://validator3.alliancebridge-dev.net:5200"
        },
        "nftValidators": {
            "validator1": "https://validatornft1.alliancebridge-dev.net:443",
            "validator2": "https://validatornft2.alliancebridge-dev.net:443",
            "validator3": "https://validatornft3.alliancebridge-dev.net:443"
        },
        "threshold": "1000000000000000"
    },
    "43113": {
        "contracts": {
            "router": "0xbbe95fbBC8890E17fBb9e2D33eD678045B1F83Ad",
            "proxy-router": "0x9F3cDc15AebB0906C2BB974a28cc3DC7D2fD50A4",
            "nftRouter": "0x8A9b214D147aC5b3d91E93405df703EEC4211341",
            "teleport": "0x7f770C48C82aaEfc4808b7018c88Ef300A3fe9FB",
            "multicall": "0xBD4B908Bca41De0200FBe5F98C062c72Aa6c8C6c"
        },
        "validators": {
            "london": "https://validator1.alliancebridge-dev.net:5200",
            "north virginia": "https://validator2.alliancebridge-dev.net:5200",
            "singapore": "https://validator3.alliancebridge-dev.net:5200"
        },
        "nftValidators": {
            "validator1": "https://validatornft1.alliancebridge-dev.net:443",
            "validator2": "https://validatornft2.alliancebridge-dev.net:443",
            "validator3": "https://validatornft3.alliancebridge-dev.net:443"
        },
        "threshold": "1000000000000000"
    },
    "80001": {
        "contracts": {
            "router": "0x51199130815e433450d5ccD300d69774CCD922DB",
            "proxy-router": "0x3b9eF9a78C348c1B4d2E4BE15198846F7F6f088E",
            "nftRouter": "0x8A9b214D147aC5b3d91E93405df703EEC4211341",
            "teleport": "0x7f770C48C82aaEfc4808b7018c88Ef300A3fe9FB",
            "multicall": "0xBD4B908Bca41De0200FBe5F98C062c72Aa6c8C6c"
        },
        "validators": {
            "london": "https://validator1.alliancebridge-dev.net:5200",
            "north virginia": "https://validator2.alliancebridge-dev.net:5200",
            "singapore": "https://validator3.alliancebridge-dev.net:5200"
        },
        "nftValidators": {
            "validator1": "https://validatornft1.alliancebridge-dev.net:443",
            "validator2": "https://validatornft2.alliancebridge-dev.net:443",
            "validator3": "https://validatornft3.alliancebridge-dev.net:443"
        },
        "threshold": "1000000000000000"
    },
    "5": {
      "contracts": {
        "router": "0x2b78a1822517E657E009B58E04de86501529459F",
        "proxy-router": "0x08b1249F08668598b1742725A280cf9833A066E8",
        "nftRouter": "",
        "teleport": "",
        "multicall": "",
      },
      "validators": {
        "london": "https://validator1.alliancebridge-dev.net:5200",
        "north virginia": "https://validator2.alliancebridge-dev.net:5200",
        "singapore": "https://validator3.alliancebridge-dev.net:5200",
      },
      "nftValidators": {
        "validator1": "https://validatornft1.alliancebridge-dev.net:443",
        "validator2": "https://validatornft2.alliancebridge-dev.net:443",
        "validator3": "https://validatornft3.alliancebridge-dev.net:443",
      },
      "threshold": "1000000000000000",
    },
    "73799": {
        "contracts": {
            "router": "0x56a2487F557AA6551AC8f72478ed55ee0EF45b09",
            "proxy-router": "0xE53D644c1a3Bf8bB8B8d7916a163ff2aC26d00e7",
            "nftRouter": "0x8A9b214D147aC5b3d91E93405df703EEC4211341",
            "teleport": "0x7f770C48C82aaEfc4808b7018c88Ef300A3fe9FB",
            "multicall": "0xBD4B908Bca41De0200FBe5F98C062c72Aa6c8C6c"
        },
        "validators": {
            "london": "https://validator1.alliancebridge-dev.net:5200",
            "north virginia": "https://validator2.alliancebridge-dev.net:5200",
            "singapore": "https://validator3.alliancebridge-dev.net:5200"
        },
        "nftValidators": {
            "validator1": "https://validatornft1.alliancebridge-dev.net:443",
            "validator2": "https://validatornft2.alliancebridge-dev.net:443",
            "validator3": "https://validatornft3.alliancebridge-dev.net:443"
        },
        "threshold": "1000000000000000"
    },
    "421611": {
        "contracts": {
            "router": "0x7973E21f5813229A31C38EEe937f4F581A8e8213",
            "proxy-router": "0xfc78DeBB2591382B5f853D51B0f9998c0509c0B3",
            "nftRouter": "0x8A9b214D147aC5b3d91E93405df703EEC4211341",
            "teleport": "0x7f770C48C82aaEfc4808b7018c88Ef300A3fe9FB",
            "multicall": "0xBD4B908Bca41De0200FBe5F98C062c72Aa6c8C6c"
        },
        "validators": {
            "london": "https://validator1.alliancebridge-dev.net:5200",
            "north virginia": "https://validator2.alliancebridge-dev.net:5200",
            "singapore": "https://validator3.alliancebridge-dev.net:5200"
        },
        "nftValidators": {
            "validator1": "https://validatornft1.alliancebridge-dev.net:443",
            "validator2": "https://validatornft2.alliancebridge-dev.net:443",
            "validator3": "https://validatornft3.alliancebridge-dev.net:443"
        },
        "threshold": "1000000000000000"
    },
    "4002": {
        "contracts": {
            "router": "0xbcf7234A4703d02415e914B0bb8b78Fbf5Ed800C",
            "proxy-router": "0x350182D330E1fe6602E049db71dc743cBa0a5478",
            "nftRouter": "0x8A9b214D147aC5b3d91E93405df703EEC4211341",
            "teleport": "0x7f770C48C82aaEfc4808b7018c88Ef300A3fe9FB",
            "multicall": "0xBD4B908Bca41De0200FBe5F98C062c72Aa6c8C6c"
        },
        "validators": {
            "london": "https://validator1.alliancebridge-dev.net:5200",
            "north virginia": "https://validator2.alliancebridge-dev.net:5200",
            "singapore": "https://validator3.alliancebridge-dev.net:5200"
        },
        "nftValidators": {
            "validator1": "https://validatornft1.alliancebridge-dev.net:443",
            "validator2": "https://validatornft2.alliancebridge-dev.net:443",
            "validator3": "https://validatornft3.alliancebridge-dev.net:443"
        },
        "threshold": "1000000000000000"
    },
    "69": {
        "contracts": {
            "router": "0xEA339f34D738968F21808651897549590DaA9fB6",
            "proxy-router": "0x67CF93AA43173B83AE4eAf22FC9f21d051e082a9",
            "nftRouter": "0x8A9b214D147aC5b3d91E93405df703EEC4211341",
            "teleport": "0x7f770C48C82aaEfc4808b7018c88Ef300A3fe9FB",
            "multicall": "0xBD4B908Bca41De0200FBe5F98C062c72Aa6c8C6c"
        },
        "validators": {
            "london": "https://validator1.alliancebridge-dev.net:5200",
            "north virginia": "https://validator2.alliancebridge-dev.net:5200",
            "singapore": "https://validator3.alliancebridge-dev.net:5200"
        },
        "nftValidators": {
            "validator1": "https://validatornft1.alliancebridge-dev.net:443",
            "validator2": "https://validatornft2.alliancebridge-dev.net:443",
            "validator3": "https://validatornft3.alliancebridge-dev.net:443"
        },
        "threshold": "1000000000000000"
    },
    "1287": {
        "contracts": {
            "router": "0xe68b70e2Cc104E73596CE5ac28d3cD84703ab0b1",
            "proxy-router": "0x79FC575ddc5FbD003B3ed0D7337C1Bea4Ba62310",
            "nftRouter": "0x8A9b214D147aC5b3d91E93405df703EEC4211341",
            "teleport": "0x7f770C48C82aaEfc4808b7018c88Ef300A3fe9FB",
            "multicall": "0xBD4B908Bca41De0200FBe5F98C062c72Aa6c8C6c"
        },
        "validators": {
            "london": "https://validator1.alliancebridge-dev.net:5200",
            "north virginia": "https://validator2.alliancebridge-dev.net:5200",
            "singapore": "https://validator3.alliancebridge-dev.net:5200"
        },
        "nftValidators": {
            "validator1": "https://validatornft1.alliancebridge-dev.net:443",
            "validator2": "https://validatornft2.alliancebridge-dev.net:443",
            "validator3": "https://validatornft3.alliancebridge-dev.net:443"
        },
        "threshold": "1000000000000000"
    },
    // MAINNET
    "1": {
        "contracts": {
            "router": "0x7CAB80B6FaCD52A0F3e044D8bfC43d0ad6D258F4",
            "proxy-router": "0xaE366B7C5e59822A9AAEbfDF7744F6445e5211D1",
            "nftRouter": "0x081115F16d666C5479E45b8B3d80158abaAdDe1f",
            "teleport": "0xF2D305dF14445a0609A44844edc657ABaDd13473",
            "multicall": "0xD59c4C30fBa7DfD09263233D25DBF95e8Af3B7c5" // NOT USED
        },
        "validators": {
            "limechain": "https://0.alliance-bridge-validator.com:5300",
            "allianceblock": "https://validator1.alliancebridge.io:5200",
            "allianceblockHA": "https://validator2.alliancebridge.io"
        },
        "nftValidators": {
            "validator1": "https://validatornft1.alliancebridge.io",
            "validator2": "https://0.alliance-bridge-validator.com:5301",
        },
        "threshold": "1000000000000000"
    },
    "56": {
        "contracts": {
            "router": "0xc47d16ae45E1Df2242107C35Bb0C9a399e4e5598",
            "proxy-router": "0x1C6F13d153EA1d53b077657F0A0e98881Ccc5112",
            "nftRouter": "0x081115F16d666C5479E45b8B3d80158abaAdDe1f",
            "teleport": "0xF2D305dF14445a0609A44844edc657ABaDd13473",
            "multicall": "0xD59c4C30fBa7DfD09263233D25DBF95e8Af3B7c5" // NOT USED
        },
        "validators": {
            "limechain": "https://0.alliance-bridge-validator.com:5300",
            "allianceblock": "https://validator1.alliancebridge.io:5200",
            "allianceblockHA": "https://validator2.alliancebridge.io"
        },
        "nftValidators": {
            "validator1": "https://validatornft1.alliancebridge.io",
            "validator2": "https://0.alliance-bridge-validator.com:5301",
        },
        "threshold": "1000000000000000"
    },
    "43114": {
        "contracts": {
            "router": "0xa5765ABE9f838F8a13d7c5dF933FDDF0409dC1eE",
            "proxy-router": "0xA4C174FdCff7FDaC3CD57bcCb8df1ACB28224f53",
            "nftRouter": "0x081115F16d666C5479E45b8B3d80158abaAdDe1f",
            "teleport": "0xF2D305dF14445a0609A44844edc657ABaDd13473",
            "multicall": "0xD59c4C30fBa7DfD09263233D25DBF95e8Af3B7c5" // NOT USED
        },
        "validators": {
            "limechain": "https://0.alliance-bridge-validator.com:5300",
            "allianceblock": "https://validator1.alliancebridge.io:5200",
            "allianceblockHA": "https://validator2.alliancebridge.io"
        },
        "nftValidators": {
            "validator1": "https://validatornft1.alliancebridge.io",
            "validator2": "https://0.alliance-bridge-validator.com:5301",
        },
        "threshold": "1000000000000000"
    },
    "137": {
        "contracts": {
            "router": "0xA16dfA9a67e6Aa054B2c0789B0c0Eb774371D004",
            "proxy-router": "0x08e30B616ec2f03ecAfBdf9654F24a4bd2F2c95A",
            "nftRouter": "0x081115F16d666C5479E45b8B3d80158abaAdDe1f",
            "teleport": "0xF2D305dF14445a0609A44844edc657ABaDd13473",
            "multicall": "0xD59c4C30fBa7DfD09263233D25DBF95e8Af3B7c5" // NOT USED
        },
        "validators": {
            "limechain": "https://0.alliance-bridge-validator.com:5300",
            "allianceblock": "https://validator1.alliancebridge.io:5200",
            "allianceblockHA": "https://validator2.alliancebridge.io"
        },
        "nftValidators": {
            "validator1": "https://validatornft1.alliancebridge.io",
            "validator2": "https://0.alliance-bridge-validator.com:5301",
        },
        "threshold": "1000000000000000"
    },
    "246": {
        "contracts": {
            "router": "0x8e442E46D7F009cAc7C1EE82D6453353aE7A463C",
            "proxy-router": "0x0DCF00f9223DCb4d4CE73BF08D1050ee8C5A143D",
            "nftRouter": "0x081115F16d666C5479E45b8B3d80158abaAdDe1f",
            "teleport": "0xF2D305dF14445a0609A44844edc657ABaDd13473",
            "multicall": "0xD59c4C30fBa7DfD09263233D25DBF95e8Af3B7c5" // NOT USED
        },
        "validators": {
            "limechain": "https://0.alliance-bridge-validator.com:5300",
            "allianceblock": "https://validator1.alliancebridge.io:5200",
            "allianceblockHA": "https://validator2.alliancebridge.io"
        },
        "nftValidators": {
            "validator1": "https://validatornft1.alliancebridge.io",
            "validator2": "https://0.alliance-bridge-validator.com:5301",
        },
        "threshold": "1000000000000000"
    },
    "42161": {
        "contracts": {
            "router": "0x4A0c2D99D2b8028F0D8facDe9aC0e631614F4293",
            "proxy-router": "0xF1f165A5cBC26727D77B1452C6c17B60c73B3586",
            "nftRouter": "0x081115F16d666C5479E45b8B3d80158abaAdDe1f",
            "teleport": "0xF2D305dF14445a0609A44844edc657ABaDd13473",
            "multicall": "0xD59c4C30fBa7DfD09263233D25DBF95e8Af3B7c5"
        },
        "validators": {
            "limechain": "https://0.alliance-bridge-validator.com:5300",
            "allianceblock": "https://validator1.alliancebridge.io:5200",
            "allianceblockHA": "https://validator2.alliancebridge.io"
        },
        "nftValidators": {
            "validator1": "https://validatornft1.alliancebridge.io",
            "validator2": "https://0.alliance-bridge-validator.com:5301",
        },
        "threshold": "1000000000000000"
    },
    "10": {
        "contracts": {
            "router": "0x3a1c5dd9735d39e961205ac57f95c1b5b1bb9626",
            "proxy-router": "0x4A0c2D99D2b8028F0D8facDe9aC0e631614F4293",
            "nftRouter": "0x081115F16d666C5479E45b8B3d80158abaAdDe1f",
            "teleport": "0xF2D305dF14445a0609A44844edc657ABaDd13473",
            "multicall": "0xD59c4C30fBa7DfD09263233D25DBF95e8Af3B7c5" // NOT USED
        },
        "validators": {
            "limechain": "https://0.alliance-bridge-validator.com:5300",
            "allianceblock": "https://validator1.alliancebridge.io:5200",
            "allianceblockHA": "https://validator2.alliancebridge.io"
        },
        "nftValidators": {
            "validator1": "https://validatornft1.alliancebridge.io",
            "validator2": "https://0.alliance-bridge-validator.com:5301",
        },
        "threshold": "1000000000000000"
    },
    "1284": {
        "contracts": {
            "router": "0x20cc413656Fd25939bD01Eb3a3a7163816744b4f",
            "proxy-router": "0xaE366B7C5e59822A9AAEbfDF7744F6445e5211D1",
            "nftRouter": "0x081115F16d666C5479E45b8B3d80158abaAdDe1f",
            "teleport": "0xF2D305dF14445a0609A44844edc657ABaDd13473",
            "multicall": "0xD59c4C30fBa7DfD09263233D25DBF95e8Af3B7c5"
        },
        "validators": {
            "limechain": "https://0.alliance-bridge-validator.com:5300",
            "allianceblock": "https://validator1.alliancebridge.io:5200",
            "allianceblockHA": "https://validator2.alliancebridge.io"
        },
        "nftValidators": {
            "validator1": "https://validatornft1.alliancebridge.io",
            "validator2": "https://0.alliance-bridge-validator.com:5301",
        },
        "threshold": "1000000000000000"
    }
};


export const network = function(chainId) {
    switch (chainId) {
        case 4:
        case 97:
        case 43113:
        case 80001:
        case 73799:
        case 421611:
        case 69:
        case 19:
        case 1313161555:
        case 4002:
        case 1287:
            return 'testnets-api';
        case 1:
        case 56:
        case 43114:
        case 137:
        case 246:
        case 42161:
        case 10:
        case 19:
        case 1284:
            return 'api';
        default:
            return 'api';
    }
}

export const uriToHttp= function(uri){
    const protocol = uri.split(':')[0].toLowerCase();
    switch (protocol) {
      case 'ipfs':
        const hash = uri.split("ipfs://")[1];
        return [`https://cloudflare-ipfs.com/ipfs/${hash}/`, `https://ipfs.io/ipfs/${hash}/`];
      case 'ipns':
        const name = uri.split("ipns://")[1];
        return [`https://cloudflare-ipfs.com/ipns/${name}/`, `https://ipfs.io/ipns/${name}/`];
      default:
        return [];
    }
  }

  export const dAppId = function(chainId) {
    switch (chainId) {
        case 4:
        case 97:
        case 43113:
        case 80001:
        case 73799:
        case 421611:
        case 69:
        case 19:
        case 1313161555:
        case 4002:
        case 1287:
            return '0xc11c6ca05f75141386225b56d20e5d168000eb84f1244a4d1e001968bc5fe280';
        case 1:
        case 56:
        case 43114:
        case 137:
        case 246:
        case 42161:
        case 10:
        case 19:
        case 1284:
            return '0xc11c6ca05f75141386225b56d20e5d168000eb84f1244a4d1e001968bc5fe280';
        default:
            return '0xc11c6ca05f75141386225b56d20e5d168000eb84f1244a4d1e001968bc5fe280';
    }
  }

export const getALBTTokenV1nativeInfo = function(chainId){
  switch (chainId) {
    case 4:
    case 97:
    case 43113:
    case 80001:
    case 73799:
    case 421611:
    case 69:
    case 19:
    case 1313161555:
    case 4002:
    case 1287:
        return {
          chainId: 1,
          tokenAddress: "0xc6869a93ef55e1d8ec8fdcda89c9d93616cf0a72"
        }
    case 1:
    case 56:
    case 43114:
    case 137:
    case 246:
    case 42161:
    case 10:
    case 19:
    case 1284:
        return {
          chainId: 1,
          tokenAddress: "0x00a8b738e453ffd858a7edf03bccfe20412f0eb0"
        }
    default:
        return {
          chainId: 1,
          tokenAddress: "0xc6869a93ef55e1d8ec8fdcda89c9d93616cf0a72"
        }
  }
}